apiVersion: v1
kind: Pod
metadata:
  name: disallow-selinux-options-good-1
  labels:
    policies.opencode.de/bsi-protection-requirement: standard
    policies.opencode.de/category: should
    policies.opencode.de/bsi-requirement: tbd
spec:
  containers:
  - name: disallow-selinux-options-good-1
    image: nginxinc/nginx-unprivileged
  initContainers:
  - name: disallow-selinux-options-good-1-init
    image: nginxinc/nginx-unprivileged
    command: ['sh', '-c', 'sleep 1']
---
apiVersion: v1
kind: Pod
metadata:
  name: disallow-selinux-options-good-2
  labels:
    policies.opencode.de/bsi-protection-requirement: standard
    policies.opencode.de/category: should
    policies.opencode.de/bsi-requirement: tbd
spec:
  securityContext:
    capabilities: 
      drop: ["NET_BIND_SERVICE"]
  containers:
  - name: disallow-selinux-options-good-2
    image: nginxinc/nginx-unprivileged
    securityContext:
      capabilities: 
        drop: ["NET_BIND_SERVICE"]
  initContainers:
  - name: disallow-selinux-options-good-2-init
    image: nginxinc/nginx-unprivileged
    command: ['sh', '-c', 'sleep 1']
    securityContext:
      capabilities: 
        drop: ["NET_BIND_SERVICE"]
